Server using different class tables?

So has there been a new update or something? I have updated my server with srcds, and still no luck I am geting this error. It has been working before, so I don’t know what else to say


F:\SRCDSOBSIDIAN>hldsupdatetool -command update -game "garrysmod" -dir F:\Gmod10
Server
Checking bootstrapper version ...
Updating Installation
Checking/Installing 'Team Fortress 2 Dedicated Server' version 51


Checking/Installing 'Base Source Shared Materials' version 8


Checking/Installing 'Base Source Shared Models' version 4


Checking/Installing 'Base Source Shared Sounds' version 4


Checking/Installing 'GarrysMod Content' version 72


HLDS installation up to date

F:\SRCDSOBSIDIAN>

Ahem, you’re using a different version than the server you’re joining using.

You need to update your client.

Just use the hldsupdatetool, update that. Then update your garrysmod server files, and it should be working perfectly fine. Had this problem 2 days ago.

That’s exactly what I did in the original post, did you not read the log? And the client is up to date. I just deleted the installrecord.blob and then it updated moar… So it works now.

So… Problem solved?